CVE-2010-5077

NameCVE-2010-5077
Descriptionserver/sv_main.c in Quake3 Arena, as used in ioquake3 before r1762, OpenArena, Tremulous, and other products, allows remote attackers to cause a denial of service (network traffic amplification) via a spoofed (1) getstatus or (2) rcon request.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-2442-1
NVD severityhigh (attack range: remote)
Debian Bugs665656, 665842

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ioquake3 (PTS)wheezy1.36+svn2287-1fixed
jessie1.36+u20140802+gca9eebb-2+deb8u1fixed
jessie (security)1.36+u20140802+gca9eebb-2+deb8u2fixed
stretch (security), stretch1.36+u20161101+dfsg1-2+deb9u1fixed
buster, sid1.36+u20170908+dfsg1-2fixed
openarena (PTS)wheezy0.8.8-5+deb7u2fixed
jessie0.8.8-9fixed
stretch0.8.8-17fixed
buster, sid0.8.8-19fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ioquake3source(unstable)(not affected)
openarenasource(unstable)0.8.5-6medium665656
openarenasourcesqueeze0.8.5-5+squeeze2highDSA-2442-1
tremuloussource(unstable)1.1.0-8high665842
tremuloussourcesqueeze1.1.0-7~squeeze1high

Notes

- ioquake3 <not-affected> (fixed before upload)

Search for package or bug name: Reporting problems